LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
XZipFileAccess2 Interface Reference

Merged interface for ZipFileAccess service. More...

`import "XZipFileAccess2.idl";`

Inheritance diagram for XZipFileAccess2:

## Exported Interfaces
interface | XZipFileAccess
interface | com::sun::star::container::XNameAccess

## Additional Inherited Members
Public Member Functions inherited from XZipFileAccess
::com::sun::star::io::XInputStream | getStreamByPattern ([in] string aPattern) raises ( ::com::sun::star::container::NoSuchElementException, ::com::sun::star::io::IOException, ::com::sun::star::packages::WrongPasswordException, ::com::sun::star::packages::zip::ZipException )
| allows to get stream by specifying a pattern.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()

## Detailed Description

Merged interface for ZipFileAccess service.

Since
  LibreOffice 4.1

## Exported Interfaces

## ◆ com::sun::star::container::XNameAccess

interface com::sun::star::container::XNameAccess

## ◆ XZipFileAccess

interface XZipFileAccess

The documentation for this interface was generated from the following file:

- com/sun/star/packages/zip/XZipFileAccess2.idl